Subject: bug#8715: 23.3.50; Use GNU, not Windows syntax in example code in flymake manual

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 15 Jul 2011 16:01:05 +0200

Reuben Thomas <[email-masked]> writes:

> The flymake manual contains the following handy sample make rule:
>
> check-syntax:
> 	gcc -o nul -S ${CHK_SOURCES}
>
> But using “nul” is useful on Windows (it works on GNU too, but creates
> an output file, and the point of the rule is to avoid doing that).
> Hence, use the GNU syntax:
>
> check-syntax:
> 	gcc -o /dev/null -S ${CHK_SOURCES}

I've now done this change in Emacs 24.

> A further suggestion is to suggest the following rule for automake users:
>
> check-syntax:
> 	$(COMPILE) -o /dev/null -S $(CHK_SOURCES)
>
> As this adds compiler flags which may be needed, for example to find
> include files. A further reason this is handy is that the undocumented
> make target dumpvars which is used by
> flymake-get-project-include-dirs-imp cannot easily be implemented in
> automake (at least, my attempt ended in tears, since it required the use
> of a GNU make construct, which is not permitted in automake). The above
> check-syntax target makes this unnecessary.

I know next to nothing about flymake, so I'm afraid I'm not a good judge
of this change, though.  Anybody?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/